ruby-protected-attributes_1.1.3-1_all.deb


Advertisement

Description

ruby-protected-attributes - Protect attributes from mass assignment in Active Record models

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-protected-attributes
Package version 1.1.3
Package release 1
Package architecture all
Package type deb
Installed size 79 B
Download size 13.20 KB
Official Mirror archive.ubuntu.com
This plugin adds the class methods `attr_accessible` and `attr_protected` to
your models to be able to declare white or black lists of attributes, avoiding
attacks by parameter injection against Rails applications.

Alternatives

Package Version Architecture Repository
ruby-protected-attributes_1.1.3-1_all.deb 1.1.3 all Ubuntu Universe
ruby-protected-attributes - - -

Requires

Name Value
ruby -
ruby-activemodel << 2:5.0
ruby-activemodel >= 2:4.0.1
ruby-interpreter -

Replaces

Name Value
ruby-activemodel-3.2 -

Download

Type URL
Binary Package ruby-protected-attributes_1.1.3-1_all.deb
Source Package ruby-protected-attributes

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-protected-attributes deb package:
    # sudo apt-get install ruby-protected-attributes

Files

Path
/usr/lib/ruby/vendor_ruby/protected_attributes.rb
/usr/lib/ruby/vendor_ruby/action_controller/accessible_params_wrapper.rb
/usr/lib/ruby/vendor_ruby/active_model/mass_assignment_security.rb
/usr/lib/ruby/vendor_ruby/active_model/mass_assignment_security/permission_set.rb
/usr/lib/ruby/vendor_ruby/active_model/mass_assignment_security/sanitizer.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/associations.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/attribute_assignment.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/core.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/inheritance.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/nested_attributes.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/persistence.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/reflection.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/relation.rb
/usr/lib/ruby/vendor_ruby/active_record/mass_assignment_security/validations.rb
/usr/lib/ruby/vendor_ruby/protected_attributes/railtie.rb
/usr/lib/ruby/vendor_ruby/protected_attributes/version.rb
/usr/share/doc/ruby-protected-attributes/README.md
/usr/share/doc/ruby-protected-attributes/changelog.Debian.gz
/usr/share/doc/ruby-protected-attributes/copyright
/usr/share/rubygems-integration/all/specifications/protected_attributes-1.1.3.gemspec

Changelog

2015-11-17 - Antonio Terceiro <terceiro@debian.org>
ruby-protected-attributes (1.1.3-1) unstable; urgency=medium
* debian/watch: point at github since tests are not distributed to
rubygems.org
* New upstream release
* Update packaging with a new dh-make-ruby run
* Add bundler and rails to Build-Depends:
* Improve package description
2014-10-08 - Antonio Terceiro <terceiro@debian.org>
ruby-protected-attributes (1.0.8-2) unstable; urgency=medium
* Replaces: ruby-activemodel-3.2 (Closes: #764440)
- protected_attributes was extracted from activemodel as a separate
library
- ruby-activemodel-3.2 is actually deprecated and should be removed from
unstable soon.
2014-08-29 - Antonio Terceiro <terceiro@debian.org>
ruby-protected-attributes (1.0.8-1) unstable; urgency=medium
* Initial release

See Also

Package Description
ruby-pundit_1.0.1-2_all.deb object oriente authorization for rails
ruby-puppet-forge_2.1.3-1_all.deb Access the Puppet Forge API from Ruby
ruby-puppet-syntax_2.0.0-1_all.deb Syntax checks for Puppet manifests, templates, and Hiera YAML
ruby-puppetlabs-spec-helper_0.10.3-1_all.deb rake tasks and spec helper for spec tests on puppet modules
ruby-pygments.rb_0.6.3-1_all.deb pygments wrapper for Ruby
ruby-qdbm_1.8.78-6build3_i386.deb QDBM Database Libraries for Ruby
ruby-qpid_0.16-9ubuntu2_i386.deb enterprise messaging system - Ruby bindings
ruby-qscintilla2_4.14.3-1ubuntu2_i386.deb QScintilla2 bindings for the Ruby language
ruby-qt4-declarative_4.14.3-1ubuntu2_i386.deb QtDeclarative bindings for the Ruby language
ruby-qt4-script_4.14.3-1ubuntu2_i386.deb QtScript bindings for the Ruby language
ruby-qt4-test_4.14.3-1ubuntu2_i386.deb QtTest bindings for the Ruby language
ruby-qt4-uitools_4.14.3-1ubuntu2_i386.deb QtUiTools bindings for the Ruby language
ruby-qt4_4.14.3-1ubuntu2_i386.deb Qt 4 bindings for the Ruby language
ruby-rabl-rails_0.4.1-1_all.deb fast Rails 3+ templating system with JSON and XML support
ruby-rabl_0.11.4-2_all.deb Ruby templating library with JSON, BSON, XML and MessagePack support
Advertisement
Advertisement